commit:     0208f7470700328cd665f09d508a53b7e16ff885
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 28 09:11:34 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Feb 28 12:26:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0208f747

games-rpg/zsdx: cmake.eclass, xdg.eclass, https, fix tarball SRC_URI

Add missing || die

Need to set CMAKE_MAKEFILE_GENERATOR=emake, otherwise ninja fails with:
ninja: error: build.ninja:125: bad $-escape (literal $ must be written as $$)

Bug: https://bugs.gentoo.org/691358
Package-Manager: Portage-3.0.16, Repoman-3.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 games-rpg/zsdx/Manifest             |  2 +-
 games-rpg/zsdx/zsdx-1.9.0-r1.ebuild | 39 +++++++++++++++++--------------------
 2 files changed, 19 insertions(+), 22 deletions(-)

diff --git a/games-rpg/zsdx/Manifest b/games-rpg/zsdx/Manifest
index fd719a8a1e3..e3748e6db7c 100644
--- a/games-rpg/zsdx/Manifest
+++ b/games-rpg/zsdx/Manifest
@@ -1 +1 @@
-DIST zsdx-1.9.0.tar.gz 20757184 BLAKE2B 
392aa36cfddaa82367cd3aa6769ffeb95f5e7235b5574d2793af629f289da107a67b70bfc2ad7d86651d2145a3f956bc000102919ca65ee18a1d83eac282d119
 SHA512 
2fc540d19856734050674945dd4903f254b325cab08ae0199722ae014447523ad9e979b54ddfd59d5cbc290b783481c79d5e155115c90f24feab5587d52804ee
+DIST zsdx-zsdx-1.9.0.tar.gz 20760682 BLAKE2B 
7063b7bc34a03c5e1879eaae78d28dcf28ae9799eed2ef2b4422f3fad709234ae6ebb67f641d76df370b27b72eb6f9ed6d611b8bead37b87287637cb28b072cb
 SHA512 
673a7db1dadfae09df23b189b9e18af1182cb731897e4067f47867387c04b21308991116c6f840cb228adee9c459565c2f5e6f1a01e885ea23c00347d4d64540

diff --git a/games-rpg/zsdx/zsdx-1.9.0-r1.ebuild 
b/games-rpg/zsdx/zsdx-1.9.0-r1.ebuild
index dc00fda4954..ac6267f86cb 100644
--- a/games-rpg/zsdx/zsdx-1.9.0-r1.ebuild
+++ b/games-rpg/zsdx/zsdx-1.9.0-r1.ebuild
@@ -1,12 +1,15 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-inherit cmake-utils eutils gnome2-utils
+EAPI=7
 
-DESCRIPTION="A free 2D Zelda fangame"
-HOMEPAGE="http://www.solarus-games.org/";
-SRC_URI="http://www.zelda-solarus.com/downloads/${PN}/${P}.tar.gz";
+CMAKE_MAKEFILE_GENERATOR=emake
+inherit cmake desktop xdg
+
+DESCRIPTION="Free 2D Zelda fangame"
+HOMEPAGE="https://www.solarus-games.org/";
+SRC_URI="https://gitlab.com/solarus-games/${PN}/-/archive/${PN}-${PV}/${PN}-${PN}-${PV}.tar.gz";
+S="${WORKDIR}/${PN}-${PN}-${PV}"
 
 LICENSE="all-rights-reserved CC-BY-SA-3.0 GPL-3"
 SLOT="0"
@@ -20,34 +23,28 @@ RDEPEND="
 "
 DEPEND="app-arch/zip"
 
+DOCS=( ChangeLog readme.txt )
+
+src_prepare() {
+       cmake_src_prepare
+}
+
 src_configure() {
        local mycmakeargs=(
                -DSOLARUS_INSTALL_DATAROOTDIR="/usr/share"
                -DSOLARUS_INSTALL_BINDIR="/usr/bin"
        )
-       cmake-utils_src_configure
+       cmake_src_configure
 }
 
 src_install() {
-       cmake-utils_src_install
+       cmake_src_install
        newicon -s 48 build/icons/${PN}_icon_48.png ${PN}.png
        newicon -s 256 build/icons/${PN}_icon_256.png ${PN}.png
 
        # install proper wrapper script
-       rm -f "${ED}"/usr/bin/${PN}
+       rm "${ED}"/usr/bin/${PN} || die
        make_wrapper ${PN} "solarus \"/usr/share/solarus/${PN}\""
 
        make_desktop_entry "${PN}" "Zelda: Mystery of Solarus DX"
 }
-
-pkg_preinst() {
-       gnome2_icon_savelist
-}
-
-pkg_postinst() {
-       gnome2_icon_cache_update
-}
-
-pkg_postrm() {
-       gnome2_icon_cache_update
-}

Reply via email to